.TH "mca_btl_mx_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_mx_module_t \- BTL Module Interface.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_mx.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_module_t\fP \fBsuper\fP"
.br
.RI "\fIbase BTL interface \fP"
.ti -1c
.RI "mca_btl_base_recv_reg_t \fBmx_reg\fP [MCA_BTL_TAG_MAX]"
.br
.ti -1c
.RI "mx_endpoint_t \fBmx_endpoint\fP"
.br
.ti -1c
.RI "mx_endpoint_addr_t \fBmx_endpoint_addr\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBmx_peers\fP"
.br
.ti -1c
.RI "uint32_t \fBmx_posted_request\fP"
.br
.RI "\fInumber of posted MX request \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBmx_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.in -1c
.SH "Detailed Description"
.PP 
BTL Module Interface. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
